Cannot find module create-react-app/script/start.js

something has changed in my program structure and due to its complexity i cannot exactly point where the problem. Ever since my application crushed and no longer working i have tried different...

Webpack: TypeError: Cannot read property 'properties' of undefined

Here is the branch and repo in question: https://github.com/Futuratum/moon.holdings/tree/dev /Users/leongaban/projects/Futuratum/moon.holdings/node_modules/webpack-cli/bin/config-yargs.js:89 ...

Error: Unable to resolve module `react-native-gesture-handler`

I try to use navigate in react-native.. I added : npm install --save react-navigation but it gives me an error like this : error: bundling failed: Error: Unable to resolve module...

How to fix "FATAL ERROR: Ineffective mark-compacts near heap limit Allocation failed - JavaScript heap out of memory" error

I'm trying to deploy a reactjs application to heroku. While compiling assets, the build fails and produces this error: -----> Ruby app detected -----> Compiling Ruby/Rails -----> Using Ruby...

Babel error: "Error: Cannot find module 'babel-plugin-transform-object-rest-spread' from '/vagrant'"

I'm trying to upgrade from Babel 6 -> 7. I used npx babel-upgrade --write to assist with updating the package.json and then ran a npm install. When trying to run our webpack dev server, it fails...

How can I get rid of my "@types/react/index" can only be default-imported using 'esModuleInterp' flag lint in React/TypeScript

It's as simple as stated above: React 16.9.22 with TypeScript 3.8.2. It doesn't affect anything, just crowds my warning window form actually useful things. In my tsconfig I have: { ...

Built electron app with react frontend and express proxy backend not directing api requests to express

I am building an Electron application from Create-React-App and an proxy express server to handle data and backend logic. (Reason for this is I want to separate electron specific api calls with...

React Native DuplicateError: Duplicated files or mocks

After updating xCode I am facing the below error from a week. I am not able to run app on device. I dont think the issue is with xcode because even if I try to run on android device the same issue...

Jest Testing React Native cannot use import statement outside of a module

I have been trying to find out how to fix the following error when trying to run my Jest test using React Native: FAIL tests/App-test.js ● Test suite failed to...

CocoaPods could not find compatible versions for pod "React/Core"

when I start pod install the result : [!] CocoaPods could not find compatible versions for pod "React/Core": In Podfile: react-native-fetch-blob (from...

Azure Access Token react-aad-msal

I am trying to use the following library "react-aad-msal" to authenticate my user in Azure and retrieve the access token. And once retrieve I will be passing it to my secure api. The problem is I...

Failed to load config "react" to extend from

I am trying to create a react app without using create-react-app using the following...

netlify deployment: Failed during stage 'building site': Build script returned non-zero exit code: 2

I'm trying to deploy my reactjs site to Netlify via Github but it was unsuccessful. The error message was Failed during stage 'building site': Build script returned non-zero exit code: 2 The...

Error: PostCSS plugin tailwindcss requires PostCSS 8

I installed the new tailwindcss version 2.0 and I've got the following error. I tried to uninstall postcss and tailwindcss but it does not work. Need help. Module build failed (from...

Failed to build iOS project. We ran "xcodebuild" command but it exited with error code 65

I am new in react native development. I am using new MacBook Air (M1, 2020) with M1 chip. I have Installed the dependency below: Node = v14.15.3 Npm = 6.14.9 Homebrew = 2.7.0 react-native-cli:...

Netlify "build.command" failed for gatsby website

I've recently updated some plugins on my Gatsby website. It works fine locally but it is failing the deploy on Netlify. The error I'm getting is: "build.command" failed - Command was killed with...

Jest + @testing-library/react throws error on a .mjs file from [dom-accessibility-api] library

I'm new to using Jest + @testing-library/react, and on my first attempt, I'm getting an error on a third-party library (probably used by the react-testing-library), which I'm not sure how to...

Upraded Webpack 4 to 5 : Build stalls at 10% building 0/1 entries 1/1 dependencies 0/1 modules

I am upgrading my webpack from 4 to 5 , when i run webpack command webpack --progress --config webpack.config.js the progress stalls at Build stalls at 10% building 0/1 entries 1/1 dependencies...

How to deploy and configure nextjs (using reactjs) application on cloudways or debian OS?

I am trying to deploy my nextjs(reactjs) application and make it runnable for cloudways server: I tried following command in visual studio code terminal. npx create-next-app When above command...

Typescript Box produces a union type that is too complex to represent

Rendering a Box produces the following error: Expression produces a union type that is too complex to represent.ts(2590) As I can see here, this is due to having both @mui/material and...

error - ESLint must be installed: yarn add --dev eslint

I just created a new project using npx [email protected] --ts And when I run npm run lint I got the error: next lint info - Using webpack 5. Reason: Enabled by default...

Getting error 'digital envelope routines', reason: 'unsupported', code: 'ERR_OSSL_EVP_UNSUPPORTED'

I got this error when learning Next.js, using npx create-next-app command according to site documentation here https://nextjs.org/docs/api-reference/create-next-app. Everything works until I start...

Firestore/Firebase not working with Next.js

Hey y'all really struggling here. I am trying use firebase in my Next.js app, specifically for the api. It works fine when I build production locally, and on local development. But once I deploy...

Error when deploying react app and it keeps sayings << Plugin "react" was conflicted between "package.json » eslint-config-react-app » >>

I have been having a little bit of issues when deploying my create react app, as it fails to compile and tells me Plugin "react" was conflicted between "package.json » eslint-config-react-app...

Failed to load plugin 'flowtype' declared in 'package.json » eslint-config-react-app': Cannot find module 'eslint/use-at-your-own-risk'

I created a new React project with create-react-app. In the terminal npm start. Instantly get this error Failed to load plugin 'flowtype' declared in 'package.json » eslint-config-react-app':...

Expo SDK 44 upgrade ERROR - App.js: [BABEL]: Unexpected token '.'

I have recently upgraded my app from SDK 40 to SDK 44 and came across this error App.js: [BABEL]: Unexpected token '.' (While processing:...

Create-react-app - ERROR in Plugin "react" was conflicted between ".eslintrc.json" and "BaseConfig"

After updating to CRA 5.0.0, I got this error on compilation process: ERROR in Plugin "react" was conflicted between ".eslintrc.json" and "BaseConfig »...

npm ERROR in Failed to load plugin 'flowtype' declared in 'package.json » eslint-config-react-app': Cannot find module 'eslint/use-at-your-own-risk'

I am trying to deploy my react app on GCP. So in Gcloud shell, I cloned my react project and typed npm install npm run build However, I got this error: ERROR in Failed to load plugin 'flowtype'...

TypeError: MiniCssExtractPlugin is not a constructor

[webpack-cli] TypeError: MiniCssExtractPlugin is not a constructor at module.exports (/home/andrey/smartadmin-app/webpack.config.js:70:9) at loadConfigByPath...